<?php
require_once('classes/body.class.php');
require_once('classes/db.class.php');
require_once('classes/system.class.php');
$title= new Body;
$title->SetTitle(''.homeurl.' - Переход на сторонний сайт!');
///Подключаем шапку
$title->GetHeader();

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Переход на сторонний сайт </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Переход</span></li></ol></div><div class="col-xs-12 col-sm-4 col-md-3 col-lg-3 text-right page_header_sidebar"></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

$site = check($_SERVER['HTTP_HOST']);
if (!isset($_GET['url']) or empty($_GET['url'])) {
header('Location: /');
die();
} else {
$url = base64_decode(str_rot13(check($_GET['url'])));
}

if (stripos($url, $site) !== FALSE) {
$url = htmlspecialchars_decode($url);
header('Location: ' . $url);
}

echo '<div class="catSides"><i class="md-format-list-bulleted"></i> Переход на сторонний сайт</div>';
echo '<div class="row text_box"><div class="pull-right text-muted top_right_box"></div><b>Внимание!</b> Вы покидаете сайт <b>' . $site . '</b> по внешней ссылке <b>' . $url . '</b>,<br/>предоставленной одним из участников.<br/>
Администрация не несет ответственности за содержимое ресурса <b>' . $url . '</b>,<br/> и настоятельно рекомендует не указывать никаких своих данных,<br/>имеющих отношение к ' . $site . ' (особенно e-mail, пароль и cookies), на сторонних сайтах.<br/><br/>Кроме того, сайт <b>' . $url . '</b> может содержать вирусы, трояны и другие вредоносные программы,
опасные для Вашего компьютера или телефона.<br/>Если у Вас нет серьезных оснований доверять этому сайту, лучше всего на него не переходить,
даже если Вы якобы получили эту ссылку от одного из Ваших друзей.<br/><br/>Если Вы еще не передумали, нажмите [<a href="' . $url . '" target="newtab">сюда</a>]<br/>Если Вы не хотите рисковать безопасностью, нажмите [<a href="/">отмена</a>]</div>';


///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>
